#ifndef UNILYNX_H_
#define UNILYNX_H_


/* RAW measured values */
#define RAW_MEAS_VALUES                0X01 
#define ID_RAW_MEAS_VALUES             0X04 
#define INSTANT_ENERGY                 0X01 //RETURNS U32
#define ENERGY_PRODUCTION              0X02 //RETURNS U32
#define ENERGY_PRODUCTION_TODAY        0X04 //RETURNS U32

/* Smoothed measured values */
#define RAW_SMOOTH_VALUES               0X02 
#define ID_RAW_SMOOTH_VALUES            13//0X0D 
#define GRID_VOLTAGE                    0X14 //RETURNS U32
#define GRID_CURRENT_MA                 0X15 //RETURNS U32
#define GRID_FREQ_cHZ                   0X16 //RETURNS U32


/* Status values */
#define STATUS_VALUES                0X0A 
#define OPERATION_MODE                0X02 //RETURNS U32


void rs485init(void);
void getNodeInfo(void);
//int readParameter(int param_idx, int param_sub_idx);
int readParameter(int param_idx, int param_sub_idx, int dest);
void test(void);
void ping(void);

#endif